Retrieve available routes for transfers
Returns available routes based on specified parameters.
Legacy: The /available-routes API is no longer actively maintained. New integrations should use the Swap API instead.
Authorization
bearerAuth API key for authentication. Request your key at https://t.me/acrosstg.
In: header
Query Parameters
Chain ID of the originating chain.
1 <= value1 | 10 | 137 | 324 | 8453 | 42161 | 59144 | 84532 | 421614 | 11155420 | 11155111Chain ID of the destination chain.
1 <= value1 | 10 | 137 | 324 | 8453 | 42161 | 59144 | 84532 | 421614 | 11155420 | 11155111Origin chain address of token contract to transfer.
Example: 0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2
Destination chain address of token contract to receive.
Example: 0x4200000000000000000000000000000000000006
Response Body
application/json
application/json
application/json
curl -X GET "https://app.across.to/api/available-routes?originChainId=1&destinationChainId=10&originToken=0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2&destinationToken=0x4200000000000000000000000000000000000006"[
{
"originChainId": 1,
"originToken": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"destinationChainId": 10,
"destinationToken": "0x4200000000000000000000000000000000000006",
"originTokenSymbol": "WETH",
"destinationTokenSymbol": "WETH",
"isNative": false
},
{
"originChainId": 1,
"originToken": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"destinationChainId": 10,
"destinationToken": "0x4200000000000000000000000000000000000006",
"originTokenSymbol": "ETH",
"destinationTokenSymbol": "ETH",
"isNative": true
}
]{
"type": "AcrossApiError",
"code": "INVALID_PARAM",
"status": 400,
"message": "Invalid parameter at path 'originToken'. Expected type 'union'",
"param": "originToken"
}{
"type": "AcrossApiError",
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal server error"
}Get all deposits for a given depositor GET
Returns all deposits for a given depositor. This endpoint loads data queried by an indexing service that polls relevant events on a 10-second cadence. Users should therefore expect an average latency of 1 to 15 seconds after submitting a deposit to see the status changed in this endpoint. This delay comes from the time it takes for the internal indexing to include the deposit transaction.
Retrieve current transfer limits of the system GET
Returns transfer limits for `inputToken`, `outputToken`, `originChainId`, and `destinationChainId`.